org.apache.hadoop.hdfs.server.namenode.snapshot

## Class FileDiff

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.snapshot.FileDiff

- All Implemented Interfaces:
    Comparable<Integer>

      public class FileDiff
      extends Object

  The difference of an `INodeFile` between two snapshots.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Integer that)` Compare diffs with snapshot ID.
    `void` | `destroyAndCollectSnapshotBlocks(INode.BlocksMapUpdateInfo collectedBlocks)`
    `org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo[]` | `getBlocks()`
    `long` | `getFileSize()`
    `int` | `getSnapshotId()`
    `void` | `setBlocks(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo[] blocks)` Copy block references into the snapshot up to the current `fileSize`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getFileSize

          public long getFileSize()

      Returns:
        the file size in the snapshot.

    - #### setBlocks

          public void setBlocks(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo[] blocks)

      Copy block references into the snapshot up to the current `fileSize`. Should be done only once.

    - #### getBlocks

          public org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo[] getBlocks()

    - #### toString

          public String toString()

    - #### destroyAndCollectSnapshotBlocks

          public void destroyAndCollectSnapshotBlocks(INode.BlocksMapUpdateInfo collectedBlocks)

    - #### compareTo

          public final int compareTo(Integer that)

      Compare diffs with snapshot ID.
      Specified by:
        `compareTo` in interface `Comparable<Integer>`

    - #### getSnapshotId

          public final int getSnapshotId()

      Returns:
        the snapshot object of this diff.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.